## AsLaunchable AsLaunchable — Description of launchable entries for a software component |

## Functions

const gchar * | as_launchable_kind_to_string ()
AsLaunchableKind | as_launchable_kind_from_string ()
AsLaunchable * | as_launchable_new ()
AsLaunchableKind | as_launchable_get_kind ()
void | as_launchable_set_kind ()
GPtrArray * | as_launchable_get_entries ()
void | as_launchable_add_entry ()

## Types and Values

#define | AS_TYPE_LAUNCHABLE
struct | AsLaunchableClass
enum | AsLaunchableKind
| AsLaunchable

## Includes

    #include <appstream.h>

## Description

Components can provide multiple launch-entries to launch the software they belong to. This class describes them.

See also: AsComponent

## Functions

### as_launchable_kind_to_string ()

    const gchar *
    as_launchable_kind_to_string (AsLaunchableKind kind);

Converts the enumerated value to a text representation.

#### Parameters

kind | the AsLaunchableKind. |

#### Returns

string version of `kind`

Since: 0.11.0

### as_launchable_kind_from_string ()

    AsLaunchableKind
    as_launchable_kind_from_string (const gchar *kind_str);

Converts the text representation to an enumerated value.

#### Parameters

kind_str | the string. |

#### Returns

a AsLaunchableKind or `AS_LAUNCHABLE_KIND_UNKNOWN` for unknown

Since: 0.11.0

### as_launchable_new ()

    AsLaunchable *
    as_launchable_new (void);

Creates a new AsLaunchable.

#### Returns

a AsLaunchable.

[transfer full]

Since: 0.11.0

### as_launchable_get_kind ()

    AsLaunchableKind
    as_launchable_get_kind (AsLaunchable *launch);

The launch system for the entries this AsLaunchable object stores.

#### Parameters

launch | a AsLaunchable instance. |

#### Returns

an enum of type AsLaunchableKind

Since: 0.11.0

### as_launchable_set_kind ()

    void
    as_launchable_set_kind (AsLaunchable *launch,
                            AsLaunchableKind kind);

Set the launch system for the entries this AsLaunchable object stores.

#### Parameters

launch | a AsLaunchable instance. |
kind | the new AsLaunchableKind |

Since: 0.11.0

### as_launchable_get_entries ()

    GPtrArray *
    as_launchable_get_entries (AsLaunchable *launch);

Get an array of launchable entries.

#### Parameters

launch | a AsLaunchable instance. |

#### Returns

An string list of launch entries.

[transfer none][element-type utf8]

Since: 0.11.0

### as_launchable_add_entry ()

    void
    as_launchable_add_entry (AsLaunchable *launch,
                             const gchar *entry);

Add a new launchable entry.

#### Parameters

launch | a AsLaunchable instance. |

Since: 0.11.0

## Types and Values

### AS_TYPE_LAUNCHABLE

    #define AS_TYPE_LAUNCHABLE (as_launchable_get_type ())

### struct AsLaunchableClass

    struct AsLaunchableClass {
    	GObjectClass		parent_class;
    };

### enum AsLaunchableKind

Type of launch system the entries belong to.

#### Members

AS_LAUNCHABLE_KIND_UNKNOWN | Unknown kind |
AS_LAUNCHABLE_KIND_DESKTOP_ID | Launch by desktop-id |
AS_LAUNCHABLE_KIND_SERVICE | A systemd/SysV-init service name |
AS_LAUNCHABLE_KIND_COCKPIT_MANIFEST | A Cockpit manifest / package name |
AS_LAUNCHABLE_KIND_URL | A web HTTPS URL to launch a web application from |

### AsLaunchable

    typedef struct _AsLaunchable AsLaunchable;